//-------------------------------------------------------------------
//                                                                  
// Module      : UserEJB.java                                       
//                                                                  
// Description : CandleNet eBP JMS Outbound toolkit Sample EJB      
//                                                                  
//-------------------------------------------------------------------
//                                                                  
// Copyright Candle Corporation 2001,2003
//                                                                  
//-------------------------------------------------------------------
//                                                                  
// Details:                                                         
//    KxoOutbound toolkit Sample User EJB Interface                        
//                                                                  
// Use the UserEJBHome interface to create a UserEJB session bean.  
//                                                                  
//                                                                  
//-------------------------------------------------------------------
//                                                                  
// Processing:                                                      
//                                                                  
// The UserEJB interface represents the EJB Object instance that a  
// client can use to invoke remote methods on.  This interface      
// is "implemented" by the UserEJBBean.                             
//                                                                  
//-------------------------------------------------------------------
//                                                                  
// Return Value:                                                    
//  A string containing the parsed return message from the invoked  
//  eBP Business Service                                            
//                                                                  
//-------------------------------------------------------------------
package com.candle.roma.kxo.outbound.sample;

public interface UserEJB extends javax.ejb.EJBObject {

  public String inquire(String msg) throws java.rmi.RemoteException;
  public String buy(String msg) throws java.rmi.RemoteException;

  public String serviceRequest(String srv, String msg) 
    throws java.rmi.RemoteException;
}
