:begin
@echo off

REM
REM $Source: /romacvs/root/roma/src/kru/krug/kbxntgathr.bat,v $
REM $Revision: 1.8 $
REM Unpublished copyright 1999, Candle Corporation, a California
REM corporation.  All rights reserved. International copyright secured.
REM
REM This material is proprietary to Candle Corporation and is not to be
REM reproduced, used, or disclosed except in accordance with program
REM licenses or upon written authorization of Candle Corporation.
REM
REM kbxgathr.bat - Collect Application Management information
REM
REM     Information collected:
REM       Application Manager logs
REM
REM
echo.
echo Running kbxgathr.bat...
echo.
REM
REM Get App Manager logs
REM
echo Gathering Application Manager logs...
REM
set AM_LOG_DIR="%CANDLE_HOME%"\CMA\logs
REM
if not exist %AM_LOG_DIR% goto end
REM
echo   eBP component-specific logs >> %OUT_DIR%\specific
echo /**********************************************************************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
echo		eBP component-specific logs >> %OUT_DIR%\specinfo           
echo. >> %OUT_DIR%\specinfo
echo /**********************************************************************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
REM
if not exist %AM_LOG_DIR%\*.DT?  goto nodt
echo. >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo /****** DTn ******/ >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
for %%x in ( %AM_LOG_DIR%\*.DT? ) do type %%x >> %OUT_DIR%\specinfo
:nodt
REM
if not exist %AM_LOG_DIR%\*.SS?  goto noss
echo. >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo /****** SSn ******/ >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
for %%x in ( %AM_LOG_DIR%\*.SS? ) do type %%x >> %OUT_DIR%\specinfo
:noss
REM
if not exist %AM_LOG_DIR%\*.LG?  goto nolg
echo. >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo /****** LGn ******/ >> %OUT_DIR%\specinfo
echo /*****************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
for %%x in ( %AM_LOG_DIR%\*.LG? ) do type %%x >> %OUT_DIR%\specinfo
:nolg
REM
if not exist %AM_LOG_DIR%\*RAS1.LOG  goto norastrace
echo. >> %OUT_DIR%\specinfo
echo /******************/ >> %OUT_DIR%\specinfo
echo /****** RAS1 ******/ >> %OUT_DIR%\specinfo
echo /******************/ >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
for %%x in ( %AM_LOG_DIR%\*RAS1.LOG ) do type %%x >> %OUT_DIR%\specinfo
:norastrace
REM
echo. >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
echo. >> %OUT_DIR%\specinfo
REM
:end
